import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { BeMsDeployChangeHistory } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-09 11:06
 */
interface BeMsDeployChangeHistoryCU extends ConditionUtil<BeMsDeployChangeHistoryCU> {
    ID: FieldUtil<BeMsDeployChangeHistoryCU>;
    DEPLOY_ID: FieldUtil<BeMsDeployChangeHistoryCU>;
    BASIC_IMAGE_DESC: FieldUtil<BeMsDeployChangeHistoryCU>;
    DEPLOY_TEMPLATE_DESC: FieldUtil<BeMsDeployChangeHistoryCU>;
    DEPLOY_YMAL: FieldUtil<BeMsDeployChangeHistoryCU>;
    VERSION_NO: FieldUtil<BeMsDeployChangeHistoryCU>;
    CREATE_TIME: FieldUtil<BeMsDeployChangeHistoryCU>;
    UPDATE_TIME: FieldUtil<BeMsDeployChangeHistoryCU>;
}
declare class BeMsDeployChangeHistoryMU extends TableUtilImpl<BeMsDeployChangeHistoryCU, BeMsDeployChangeHistory> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): BeMsDeployChangeHistoryCU;
    static get ID(): FieldUtil<BeMsDeployChangeHistoryCU>;
    static get DEPLOY_ID(): FieldUtil<BeMsDeployChangeHistoryCU>;
    static get BASIC_IMAGE_DESC(): FieldUtil<BeMsDeployChangeHistoryCU>;
    static get DEPLOY_TEMPLATE_DESC(): FieldUtil<BeMsDeployChangeHistoryCU>;
    static get DEPLOY_YMAL(): FieldUtil<BeMsDeployChangeHistoryCU>;
    static get VERSION_NO(): FieldUtil<BeMsDeployChangeHistoryCU>;
    static get CREATE_TIME(): FieldUtil<BeMsDeployChangeHistoryCU>;
    static get UPDATE_TIME(): FieldUtil<BeMsDeployChangeHistoryCU>;
    get ID(): FieldUtil<BeMsDeployChangeHistoryCU>;
    get DEPLOY_ID(): FieldUtil<BeMsDeployChangeHistoryCU>;
    get BASIC_IMAGE_DESC(): FieldUtil<BeMsDeployChangeHistoryCU>;
    get DEPLOY_TEMPLATE_DESC(): FieldUtil<BeMsDeployChangeHistoryCU>;
    get DEPLOY_YMAL(): FieldUtil<BeMsDeployChangeHistoryCU>;
    get VERSION_NO(): FieldUtil<BeMsDeployChangeHistoryCU>;
    get CREATE_TIME(): FieldUtil<BeMsDeployChangeHistoryCU>;
    get UPDATE_TIME(): FieldUtil<BeMsDeployChangeHistoryCU>;
}
export { BeMsDeployChangeHistoryMU, BeMsDeployChangeHistoryCU };
